查询采购报表列表 - 供应商
POST
/basicOpen/report/purchase/supplier/list接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/report/purchase/supplier/list | HTTPS | POST | 1 |
请求参数
offsetintegerlengthintegerstart_datestringend_datestringtime_typeintegersearch_fieldstringsearch_valuestringproduct_typearray<any>请求示例
{
"offset": 0,
"length": 20,
"start_date": "2023-06-01",
"end_date": "2023-08-30",
"time_type": 2,
"search_field": "order_no",
"search_value": "1",
"product_type": [1,2,3]
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
supplier_namestring必填warehouse_namearray<any>必填buyer_namearray<any>必填purchase_quantitystring必填receive_quantitystring必填wait_quantitystring必填good_quantitystring必填bad_quantitystring必填return_quantitystring必填total_amountstring必填purchase_amountstring必填receive_amountstring必填wait_amountstring必填return_amountstring必填bad_ratestring必填return_ratestring必填order_countstring必填overdue_quantitystring必填overdue_timestring必填overdue_quantity_ratestring必填overdue_time_avgstring必填overdue_order_ratestring必填overdue_order_quantitystring必填discount_amountstring必填payable_amountstring必填paid_amountstring必填applying_amountstring必填not_applied_amountstring必填unpaid_amountstring必填type_namestring必填order_snstring必填exchange_quantitystring必填listobject隐藏子属性
shipping_feestring必填other_feestring必填返回示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "d88a734bb9af465d8441b7b6b45572d7.1694156449975",
"response_time": "2023-09-08 15:00:51",
"total": 1 ,
"data": [
{
"supplier_name": "供应商15",
"warehouse_name": [
"仓库1"
],
"buyer_name": [],
"purchase_quantity": "11575",
"receive_quantity": "9560",
"wait_quantity": "2015",
"good_quantity": "4220",
"bad_quantity": "0",
"return_quantity": "0",
"total_amount": "232057.50",
"shipping_fee": "0.00",
"other_fee": "0.00",
"purchase_amount": "232057.50",
"receive_amount": "187596.00",
"wait_amount": "44461.50",
"return_amount": "0.00",
"bad_rate": "0.00%",
"return_rate": "0.00%",
"order_count": "1",
"overdue_quantity": "0",
"overdue_time": "-",
"overdue_quantity_rate": "0.00%",
"overdue_time_avg": "-",
"overdue_order_rate": "0.00%",
"overdue_order_quantity": "0",
"discount_amount": "0.00",
"payable_amount": "232057.50",
"paid_amount": "0.00",
"applying_amount": "0.00",
"not_applied_amount": "232057.50",
"unpaid_amount": "232057.50",
"type_name": "汇总",
"order_sn": "汇总",
"exchange_quantity": "0"
}
]
}